# Sternberg Working Memory Task

Sternberg working memory tasks including two memory loads and a delay suitable for fMRI, EEG, or behavioural administration.

**Publication:** Task-merging for finer separation of functional brain networks in working memory

**Experiment DOI:** https://doi.org/10.17605/OSF.IO/6CTSJ

**Functions assessed:** Cognitive

## Features

**Languages:** English

**Validation:**
  * Measures: 
  * Populations: Adult, Healthy, Disease

**Accessibility:** Colour-blindness, Hearing impairment

**Modalities:** fMRI, EEG, Behavioural

**Devices:** Computer, Laptop

**Species:** Homo sapiens

## Development

**Software:** NBS Presentation version 17

**Requirements:** 2-button response box or mouse/keyboard required

## Administration

Run this task using NBS Presentation.

## Procedure and Conditions

This task includes an experimental session (40 trials) for either fMRI or EEG/offline use. The stimuli are randomized so a practice session can be run using the EEG/offline for any modality and may be ended prematurely once the participant has understood the task. Each trial displays a string of consonants (4 or 6 letters) followed by a delay (4 seconds), followed by a probe letter. Participants responded with one or the other button to indicate (yes/no) whether the probe was presented in the previous string. Inter-trial intervals are jittered between 2 and 12 seconds.

## Output Files

Log files are output to calculate event timing.

## Scoring

- number of correct responses
- reaction time

## License and Attribution

**License**

This project is distributed under two distinct licenses:

Source Code: The source code of this project is distributed under the Academic Public License. This license allows for academic use and modification of the code but is not intended for commercial use.

Documentation: The documentation of this project, including but not limited to README files, wikis, and help files, is distributed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License (CC BY-NC-SA 4.0). This license allows others to remix, adapt, and build upon our work non-commercially, as long as they credit the author and license their new creations under the identical terms.

Please read the LICENSE_code and LICENSE_doc files for the specific terms of these licenses.

**Attribution**

If you use this task in your work, please cite it as indicated on the Open Science Framework, e.g., (in APA format): 

Woodward, T., Lavigne, K. M., & Whitman, J. C. (2024, August 1). Sternberg Working Memory Task. https://doi.org/10.17605/OSF.IO/6CTSJ

